> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出錢包的 CLMM 限價單歷史紀錄

> 回傳 `wallet` 所擁有的已關閉 CLMM 限價單。每筆資料彙整訂單離開活躍集合時的狀態，透過 `nextPageId` 進行游標分頁。




## OpenAPI

````yaml /zh-Hant/api-reference/openapi/temp-api-v1.yaml get /limit-order/history/order/list-by-user
openapi: 3.0.3
info:
  title: Temp API
  description: |
    此為短期端點的暫存區，這些端點尚未在 Raydium 主 API 中取得固定位置。
    此服務中的端點可能隨時變更、被棄用或遷移，恕不另行通知。

    **穩定性警告：** 本服務以快速迭代為優先，不提供最低 API 穩定性保證。
    請僅用於非關鍵路徑、內部工具或正在開發中的功能。
  version: 1.0.0
  contact:
    name: Raydium
    url: https://raydium.io
servers:
  - url: https://temp-api-v1.raydium.io
    description: Mainnet
  - url: https://temp-api-v1-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: Temporary
    description: 臨時端點（不穩定）
paths:
  /limit-order/history/order/list-by-user:
    get:
      tags:
        - Temporary
      summary: 列出錢包的 CLMM 限價單歷史紀錄
      description: |
        回傳 `wallet` 所擁有的已關閉 CLMM 限價單。每筆資料彙整訂單離開活躍集合時的狀態，透過 `nextPageId` 進行游標分頁。
      operationId: listLimitOrderHistoryByUser
      parameters:
        - name: wallet
          in: query
          required: true
          description: 錢包公鑰（base58）
          schema:
            type: string
            example: <your-wallet-pubkey>
        - name: hideCancel
          in: query
          required: false
          description: |
            設為 `true` 時，排除從未成交即關閉的訂單（即已取消的訂單），預設為 `false`。
          schema:
            type: string
        - name: poolId
          in: query
          required: false
          description: 可選的 CLMM pool 篩選條件，與 `mint1` / `mint2` 互斥。
          schema:
            type: string
        - name: mint1
          in: query
          required: false
          description: 可選的 mint 篩選條件（Token A 或 B），與 `poolId` 互斥。
          schema:
            type: string
        - name: mint2
          in: query
          required: false
          description: 可選的第二個 mint 篩選條件，與 `poolId` 互斥。
          schema:
            type: string
        - name: nextPageId
          in: query
          required: false
          description: 由前一頁回傳的不透明分頁游標（TTL 約 1 小時）。
          schema:
            type: string
        - name: size
          in: query
          required: false
          description: 每頁筆數（1–100，預設 20）。
          schema:
            type: integer
            default: 20
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LimitOrderHistoryByUserResponse'
        '400':
          description: 無效的請求
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: 伺服器錯誤
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    LimitOrderHistoryByUserResponse:
      type: object
      description: '`/limit-order/history/order/list-by-user` 的回應資料。'
      properties:
        id:
          type: string
        success:
          type: boolean
          example: true
        data:
          type: object
          properties:
            rows:
              type: array
              items:
                $ref: '#/components/schemas/LimitOrderHistoryItem'
            nextPageId:
              type: string
              nullable: true
              description: 下一頁的不透明游標；若為最後一頁則不存在。
          required:
            - rows
      required:
        - success
        - data
    ErrorResponse:
      type: object
      properties:
        id:
          type: string
        success:
          type: boolean
          example: false
        msg:
          type: string
          description: 錯誤訊息
      required:
        - success
        - msg
    LimitOrderHistoryItem:
      type: object
      description: 單筆已關閉的 limit order 摘要。
      properties:
        pda:
          type: string
        owner:
          type: string
        poolId:
          type: string
        mintA:
          type: string
        mintB:
          type: string
        zeroForOne:
          type: boolean
        tick:
          type: integer
        price:
          type: number
        openBlockTime:
          type: integer
          description: 訂單開立的 Unix 時間戳。
        fillStatus:
          type: string
          enum:
            - NONE
            - PARTIAL
            - FULL
          description: |
            訂單關閉前最終成交比例：
            `NONE`（取消時零成交）、`PARTIAL` 或 `FULL`。
        orderInputAmountUi:
          type: number
          description: 原始輸入金額，以人類可讀單位表示（已套用小數位數）。
        orderOutputAmountUi:
          type: number
          description: 訂單在其 tick 應支付的輸出金額，以人類可讀單位表示。
        filledInputAmountUi:
          type: number
        filledOutputAmountUi:
          type: number
      required:
        - pda
        - owner
        - poolId
        - mintA
        - mintB
        - zeroForOne
        - tick
        - price
        - openBlockTime
        - fillStatus
        - orderInputAmountUi
        - orderOutputAmountUi
        - filledInputAmountUi
        - filledOutputAmountUi

````